Commit Node

POST/v1/nodes/{node_id}/commit

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

node_id*Node Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://flywheel.paradigma.inc/api/v1/nodes/string/commit" \  -H "Content-Type: application/json" \  -d '{    "base_committed_revision": 0,    "stage_session_id": "string",    "staged_payload": {      "content": "string",      "repo_context": {        "branch_name": "string",        "external_transcript_ref": "string",        "head_commit_sha": "string",        "origin_host": "string",        "repo_url": "string",        "updated_by": "string"      },      "summary": "string",      "title": "string"    }  }'
null
{
  "detail": [
    {
      "ctx": {},
      "input": null,
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}